Bug 198548 - Use an enumeration in UserMediaPermissionRequestManagerProxy::getUserMediaPermissionInfo callback
Summary: Use an enumeration in UserMediaPermissionRequestManagerProxy::getUserMediaPer...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebRTC (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-06-04 16:28 PDT by youenn fablet
Modified: 2019-06-11 07:45 PDT (History)
5 users (show)

See Also:


Attachments
Patch (12.73 KB, patch)
2019-06-04 16:37 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (12.73 KB, patch)
2019-06-04 20:09 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (12.73 KB, patch)
2019-06-04 20:22 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews126 for ios-simulator-wk2 (2.55 MB, application/zip)
2019-06-04 22:05 PDT, EWS Watchlist
no flags Details
Patch for landing (13.73 KB, patch)
2019-06-05 11:27 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Fix WPE build (13.87 KB, patch)
2019-06-06 09:03 PDT, youenn fablet
youennf: commit-queue+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2019-06-04 16:28:12 PDT
This will make code more readable
Comment 1 youenn fablet 2019-06-04 16:37:40 PDT
Created attachment 371351 [details]
Patch
Comment 2 youenn fablet 2019-06-04 20:09:13 PDT
Created attachment 371366 [details]
Patch
Comment 3 youenn fablet 2019-06-04 20:22:27 PDT
Created attachment 371370 [details]
Patch
Comment 4 EWS Watchlist 2019-06-04 22:04:59 PDT
Comment on attachment 371370 [details]
Patch

Attachment 371370 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/12380991

New failing tests:
http/tests/cache/disk-cache/redirect-chain-limits.html
Comment 5 EWS Watchlist 2019-06-04 22:05:00 PDT
Created attachment 371376 [details]
Archive of layout-test-results from ews126 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews126  Port: ios-simulator-wk2  Platform: Mac OS X 10.14.5
Comment 6 youenn fablet 2019-06-05 08:43:34 PDT
Comment on attachment 371370 [details]
Patch

iOS-sim failed test is unrelated to this patch.
api-mac unit test is also unrelated.
win build issue also
Comment 7 Eric Carlson 2019-06-05 10:05:33 PDT
Comment on attachment 371370 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=371370&action=review

> Source/WebKit/UIProcess/UserMediaPermissionCheckProxy.h:41
> +    enum class PermissionInfo { Error, NoAccess, PersistentAccess };

Nit: "NoAccess" isn't quite right, the user needs to be asked. Maybe "RequirePrompt", or "PromptUser" instead?
Comment 8 youenn fablet 2019-06-05 11:17:18 PDT
(In reply to Eric Carlson from comment #7)
> Comment on attachment 371370 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=371370&action=review
> 
> > Source/WebKit/UIProcess/UserMediaPermissionCheckProxy.h:41
> > +    enum class PermissionInfo { Error, NoAccess, PersistentAccess };
> 
> Nit: "NoAccess" isn't quite right, the user needs to be asked. Maybe
> "RequirePrompt", or "PromptUser" instead?

I went with Unknown and Granted instead of NoAccess and PersistentAccess.
Comment 9 youenn fablet 2019-06-05 11:27:41 PDT
Created attachment 371424 [details]
Patch for landing
Comment 10 youenn fablet 2019-06-06 09:03:46 PDT
Created attachment 371501 [details]
Fix WPE build
Comment 11 WebKit Commit Bot 2019-06-06 20:29:06 PDT
Comment on attachment 371501 [details]
Fix WPE build

Clearing flags on attachment: 371501

Committed r246185: <https://trac.webkit.org/changeset/246185>
Comment 12 WebKit Commit Bot 2019-06-06 20:29:08 PDT
All reviewed patches have been landed.  Closing bug.
Comment 13 Radar WebKit Bug Importer 2019-06-06 20:33:00 PDT
<rdar://problem/51510298>